# $Revision: 1.101 $, $Date: 2012/06/28 21:06:20 $
Summary:	High-level library and user-interface for Telepathy
Summary(pl.UTF-8):	Bardzo łatwy w użyciu klient Telepathy dla GNOME
Name:		empathy
Version:	3.4.2.3
Release:	1
License:	GPL v2+
Group:		Applications/Communications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/empathy/3.4/%{name}-%{version}.tar.xz
# Source0-md5:	a35af87389e4c47835300871a8b38b12
URL:		http://live.gnome.org/Empathy
BuildRequires:	NetworkManager-devel >= 0.7.0
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.11
BuildRequires:	cheese-devel >= 3.4.0
BuildRequires:	clutter-devel >= 1.10.0
BuildRequires:	clutter-gst-devel >= 1.5.2
BuildRequires:	clutter-gtk-devel >= 1.2.0
BuildRequires:	dbus-glib-devel >= 0.74
BuildRequires:	docbook-dtd412-xml
BuildRequires:	enchant-devel >= 1.2.0
BuildRequires:	evolution-data-server-devel >= 3.2.0
BuildRequires:	farstream-devel
BuildRequires:	folks-devel >= 0.6.6
BuildRequires:	gcr-devel
BuildRequires:	geoclue-devel >= 0.12
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.30.0
BuildRequires:	gnome-common >= 2.24.0
BuildRequires:	gnome-doc-utils >= 0.18.0
BuildRequires:	gnome-online-accounts-devel >= 3.4.0
BuildRequires:	gnutls-devel >= 2.8.5
BuildRequires:	gsettings-desktop-schemas-devel
BuildRequires:	gstreamer-devel >= 0.10.32
BuildRequires:	gstreamer-plugins-base-devel >= 0.10.32
BuildRequires:	gtk+3-devel >= 3.4.0
BuildRequires:	gtk-webkit3-devel >= 1.4.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	iso-codes >= 0.35
BuildRequires:	libcanberra-gtk3-devel >= 0.25
BuildRequires:	libchamplain-devel >= 0.12.1
BuildRequires:	libgnome-keyring-devel >= 2.26.0
BuildRequires:	libnotify-devel >= 0.7.0
BuildRequires:	libsoup-devel
BuildRequires:	libtool >= 2:2.2
BuildRequires:	libxml2-devel >= 1:2.6.28
BuildRequires:	libxslt-progs
BuildRequires:	nautilus-sendto-devel >= 3.0.0
BuildRequires:	pkgconfig
BuildRequires:	pulseaudio-devel
BuildRequires:	python >= 2.3
BuildRequires:	python-modules >= 2.3
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	tar >= 1:1.22
BuildRequires:	telepathy-farstream-devel >= 0.2.1
BuildRequires:	telepathy-glib-devel >= 0.18.0
BuildRequires:	telepathy-logger-devel >= 0.2.13
BuildRequires:	telepathy-mission-control-devel >= 5.12.0
BuildRequires:	udev-glib-devel
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	glib2 >= 1:2.26.0
Requires(post,postun):	gtk-update-icon-cache
Requires:	gsettings-desktop-schemas
Requires:	hicolor-icon-theme
Requires:	telepathy-glib >= 0.18.0
Requires:	telepathy-logger >= 0.2.13
Requires:	telepathy-mission-control >= 5.12.0
Suggests:	telepathy-gabble
Suggests:	telepathy-haze
Suggests:	telepathy-idle
Suggests:	telepathy-salut
Suggests:	telepathy-sofiasip
Obsoletes:	empathy-apidocs < 2.29.1
Obsoletes:	empathy-devel < 2.29.1
Obsoletes:	empathy-libs < 2.29.1
Obsoletes:	gnome-jabber
Obsoletes:	python-empathy < 2.29.1
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Instant messaging program supporting text, voice, video, file
transfers and inter-application communication over many different
protocols, including: AIM, MSN, Google Talk (Jabber/XMPP), Facebook,
Yahoo!, Salut, Gadu-Gadu, Groupwise, ICQ and QQ. (Supported protocols
depend on installed components.)

%description -l pl.UTF-8
Celem Empathy jest uczynienie komunikowania poprzez Jabbera tak łatwym
jak to tylko możliwe.

%package -n nautilus-sendto-empathy
Summary:	Empathy support for sending files in Nautilus
Summary(pl.UTF-8):	Obsługa Empathy przy wysyłaniu plików z Nautilusa
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	nautilus-sendto >= 3.0.0

%description -n nautilus-sendto-empathy
This plugin enables sending files from Nautilus to your Empathy
contacts.

%description -n nautilus-sendto-empathy -l pl.UTF-8
Ta wtyczka pozwala na przesyłanie z poziomu Nautilusa plików do
kontaktów Empathy.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
# missing geocode-glib in pld
%configure \
	--with-connectivity=nm \
	--with-cheese \
	--with-eds \
	--disable-silent-rules \
	--disable-static \
	--disable-geocode \
	--enable-call-logs \
	--enable-goa \
	--enable-gudev \
	--enable-location \
	--enable-map \
	--enable-nautilus-sendto \
	--enable-spell

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/nautilus-sendto/plugins/*.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/mission-control-plugins.0/*.la

%find_lang %{name} --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS CONTRIBUTORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/empathy
%attr(755,root,root) %{_bindir}/empathy-accounts
%attr(755,root,root) %{_bindir}/empathy-debugger
%attr(755,root,root) %{_libexecdir}/empathy-auth-client
%attr(755,root,root) %{_libexecdir}/empathy-call
%attr(755,root,root) %{_libexecdir}/empathy-chat
%attr(755,root,root) %{_libdir}/mission-control-plugins.0/mcp-account-manager-goa.so
%{_datadir}/%{name}
%{_datadir}/GConf/gsettings/empathy.convert
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.Empathy.Auth.service
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.Empathy.Call.service
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.Empathy.Chat.service
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.Empathy.FileTransfer.service
%{_datadir}/glib-2.0/schemas/org.gnome.Empathy.gschema.xml
%{_datadir}/telepathy/clients/Empathy.Auth.client
%{_datadir}/telepathy/clients/Empathy.Call.client
%{_datadir}/telepathy/clients/Empathy.Chat.client
%{_datadir}/telepathy/clients/Empathy.FileTransfer.client
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man1/empathy*.1*
%{_desktopdir}/*.desktop

%files -n nautilus-sendto-empathy
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/nautilus-sendto/plugins/libnstempathy.so

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: empathy.spec,v $
Revision 1.101  2012/06/28 21:06:20  megabajt
- updated to 3.4.2.3

Revision 1.100  2012/05/22 08:48:24  megabajt
- updated to 3.4.2.1

Revision 1.99  2012/05/21 07:03:02  kiesiu
- updated to 3.4.2

Revision 1.98  2012/04/16 14:43:05  megabajt
- updated to 3.4.1

Revision 1.97  2012/04/06 09:57:10  megabajt
- updated to 3.4.0.2

Revision 1.96  2012/04/05 11:27:23  megabajt
- updated to 3.4.0.1

Revision 1.95  2012/04/03 18:45:35  megabajt
- updated telepathy deps
- don't suggest telepathy-butterfly - now telepathy-gabble is used to MSN
  connections

Revision 1.94  2012/04/01 14:54:57  megabajt
- updated to 3.4.0

Revision 1.93  2012/03/27 05:07:56  arekm
- release 2

Revision 1.92  2012/01/30 22:48:17  lisu
- BR: clutter-gst-devel

Revision 1.91  2011/11/18 22:16:19  kiesiu
- updated to 3.2.2

Revision 1.90  2011/10/24 18:01:10  kiesiu
- updated to 3.2.1.1
- fixes CVE-2011-3635

Revision 1.89  2011/09/30 09:46:52  patrys
- BR: new telepathy-mission-control-devel
- rel 5

Revision 1.88  2011/09/30 09:43:22  patrys
- bump GOA dep
- rel 4

Revision 1.87  2011/09/30 09:41:04  patrys
- explicitly enable goa

Revision 1.86  2011/09/30 09:34:15  patrys
- bump MC requirement
- rel 2

Revision 1.85  2011/09/30 09:10:44  patrys
- 3.2.0
- merged from DEVEL

Revision 1.81.2.8  2011/09/30 09:08:47  patrys
- 3.2.0

Revision 1.81.2.7  2011/09/20 15:40:26  wiget
- BR update (from release annoucement)

Revision 1.81.2.6  2011/09/20 10:34:17  wiget
- up to 3.1.92

Revision 1.84  2011/09/09 19:10:53  arekm
- release 2

Revision 1.81.2.5  2011/09/07 18:41:00  wiget
- up to 3.1.91
- BR gnome-online-accounts-devel
- disable control-center embedding (libgnome-control-center.pc removed from gnome-control-center)

Revision 1.81.2.4  2011/09/05 17:00:41  wiget
- switch to .xz
- BR telepathy-logger with call log support
- build with cheese, evolution-data-server, control-center embedding, call log, gudev, map and spell support
- explicitly disable geocode (no geocode-glib in PLD)

Revision 1.81.2.3  2011/09/02 00:03:46  patrys
- 3.1.90

Revision 1.83  2011/07/11 11:05:01  glen
- user friendlier description, see LP#259788

Revision 1.81.2.2  2011/06/17 18:22:38  patrys
- 3.1.2.1

Revision 1.82  2011/05/25 15:25:22  megabajt
- updated to 3.0.2

Revision 1.81.2.1  2011/05/11 11:25:44  lisu
- updated to 3.1.1

Revision 1.81  2011/04/26 14:56:34  lisu
- restore accidentally deleted file

Revision 1.80  2011/04/26 14:54:41  lisu
- updated to 3.0.1

Revision 1.79  2011/04/06 10:11:08  kiesiu
- up to 3.0.0; merged from DEVEL

Revision 1.78  2011/03/26 12:46:09  qboosh
- en@shaw locale is now supported (via LANGUAGE)
- adjusted desc for nautilus plugin
- __rm macro

Revision 1.77.2.7  2011/03/31 19:19:13  wiget
- up to 2.91.93

Revision 1.77.2.6  2011/03/23 23:34:28  wiget
- up to 2.91.92

Revision 1.77.2.5  2011/03/17 20:39:22  wiget
- up to 2.91.91.1

Revision 1.77.2.4  2011/03/15 15:56:37  wiget
- added git.patch to fix building with folks 0.4.0

Revision 1.77.2.3  2011/03/09 13:35:02  wiget
- up to 2.91.91

Revision 1.77.2.2  2011/02/28 21:09:03  wiget
- updated to 2.91.90.2
- BR update
- use %{__rm} macro

Revision 1.77.2.1  2011/02/26 18:56:59  patrys
- 2.91.90

Revision 1.77  2011/02/04 18:23:42  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.76  2010/12/15 14:27:08  megabajt
- use %glib_compile_schemas
- release 2

Revision 1.75  2010/11/17 05:57:42  megabajt
- updated to 2.32.1

Revision 1.74  2010/11/01 18:16:50  megabajt
- updated to 2.32.0.1

Revision 1.73  2010/09/29 17:01:23  megabajt
- revised deps

Revision 1.72  2010/09/28 18:55:13  patrys
- 2.32.0

Revision 1.71  2010/09/04 12:19:46  patrys
- 2.31.91.1

Revision 1.70  2010/08/25 09:12:38  glen
- disable telepathy logger (patrys says it's not really useful right now, and it requires devel glib2)

Revision 1.69  2010/08/25 08:00:48  glen
- up to 2.30.3

Revision 1.68  2010/06/23 16:13:23  megabajt
- updated to 2.30.2

Revision 1.67  2010/06/10 17:03:50  glen
- up to 2.30.1.1

Revision 1.66  2010/05/12 19:14:08  sparky
- commented out unused BR: check, clutter-gtk-devel, docbook-dtd412-xml,
  gnome-panel-devel, gtk-doc, python-pygtk-devel, rpm-pythonprov,
  telepathy-mission-control-devel

Revision 1.65  2010/04/28 14:04:40  megabajt
- added configure.patch to fix build
- release 2

Revision 1.64  2010/04/27 19:07:10  patrys
- add fevourite contacts

Revision 1.63  2010/04/27 16:54:12  megabajt
- updated to 2.30.1

Revision 1.62  2010/04/27 16:22:19  glen
- R: telepathy-mission-control or you can not add any accounts; rel 2

Revision 1.61  2010/04/20 17:34:11  megabajt
- updated to 2.30.0.2

Revision 1.60  2010/04/09 15:00:20  megabajt
- updated to 2.30.0.1
- removed obsolete configure options

Revision 1.59  2010/04/02 18:43:57  sls
- BR: telepathy-glib-devel >= 0.9.2

Revision 1.58  2010/03/29 17:28:16  patrys
- merged from DEVEL

Revision 1.52.2.12  2010/03/29 17:24:59  patrys
- 2.30.0

Revision 1.52.2.11  2010/03/10 08:56:05  patrys
- 2.29.92

Revision 1.52.2.10  2010/03/09 12:27:59  patrys
- 2.29.91.2

Revision 1.52.2.9  2010/02/25 16:52:03  patrys
- 2.29.91

Revision 1.57  2010/02/20 17:14:48  sparky
- rel 3; STBR

Revision 1.56  2010/02/20 17:01:53  sparky
- force connectivity=nm so it will fail next time
- fix NetworkManager detection
- BR: docbook-dtd412-xml, rpm-pythonprov

Revision 1.55  2010/02/20 16:24:29  megabajt
- release 2

Revision 1.52.2.8  2010/02/09 09:29:30  patrys
- 2.29.90

Revision 1.52.2.7  2010/01/28 09:51:21  patrys
- 2.29.6

Revision 1.52.2.6  2010/01/12 20:25:19  patrys
- 2.29.5.1

Revision 1.52.2.5  2009/12/28 13:51:32  patrys
- 2.29.4

Revision 1.54  2009/12/14 19:37:05  megabajt
- updated to 2.28.2

Revision 1.52.2.4  2009/12/13 14:08:21  patrys
- enable sendto

Revision 1.52.2.3  2009/12/01 10:47:04  patrys
- 2.29.3

Revision 1.53  2009/11/21 19:49:47  megabajt
- updated to 2.28.1.2

Revision 1.52.2.2  2009/11/17 10:29:43  patrys
- drop R: -libs
- drop en@shaw

Revision 1.52.2.1  2009/11/17 10:19:06  patrys
- 2.29.2

Revision 1.52  2009/11/12 12:05:04  patrys
- rebuild
- rel 2

Revision 1.51  2009/11/04 20:41:39  megabajt
- updated to 2.28.1.1

Revision 1.50  2009/10/23 15:52:59  megabajt
- updated to 2.28.1

Revision 1.49  2009/09/26 16:53:21  patrys
- ca@valencia stays

Revision 1.48  2009/09/26 16:52:32  patrys
- 2.28.0

Revision 1.47.2.10  2009/09/26 16:52:13  patrys
- 2.28.0

Revision 1.47.2.9  2009/09/08 21:34:35  patrys
- 2.27.92

Revision 1.47.2.8  2009/08/13 08:15:45  patrys
- build with new clutter
- disable useless static

Revision 1.47.2.7  2009/08/12 08:42:14  patrys
- build with new clutter-gtk

Revision 1.47.2.6  2009/08/10 08:24:50  patrys
- enable geolocation support

Revision 1.47.2.5  2009/07/29 13:06:23  patrys
-2.27.5

Revision 1.47.2.4  2009/07/16 07:49:31  patrys
- 2.17.4

Revision 1.47.2.3  2009/06/16 18:40:53  patrys
- add BR: libchamplain

Revision 1.47.2.2  2009/06/15 18:31:00  patrys
- 2.27.3

Revision 1.47.2.1  2009/05/28 08:49:50  patrys
- 2.27.2

Revision 1.47  2009/05/20 18:07:43  patrys
- 2.26.2

Revision 1.46  2009/04/13 22:47:26  megabajt
- updated to 2.26.1

Revision 1.45  2009/04/03 21:05:37  patrys
- 2.26.0.1

Revision 1.44  2009/03/19 09:49:29  megabajt
- updated to 2.26.0 (new soname)

Revision 1.43  2009/02/23 22:12:22  arekm
- release 3

Revision 1.42  2008/11/06 17:00:22  arekm
- release 2

Revision 1.41  2008/10/23 20:44:17  patrys
- 2.24.1

Revision 1.40  2008/10/05 00:04:42  qwiat
- up to 2.24

Revision 1.39  2008/09/13 14:47:54  patrys
- drop python patch (we have working python-config now)

Revision 1.38  2008/09/12 21:02:41  patrys
- 2.23.92

Revision 1.37  2008/09/04 04:38:48  aredridel
- 2.23.91

Revision 1.36  2008/09/03 22:30:29  patrys
- 2.23.91

Revision 1.35  2008/08/19 10:25:19  patrys
- 2.23.90

Revision 1.34  2008/08/05 14:25:35  patrys
- 2.23.6

Revision 1.33  2008/07/23 20:58:07  patrys
- 0.23.4

Revision 1.32  2008-05-18 16:08:56  patrys
- 0.23.2

Revision 1.31  2008-04-30 21:35:23  wrobell
- ver. 0.23.1

Revision 1.30  2008-04-05 06:15:24  aredridel
- 0.22.1

Revision 1.29  2008-03-10 16:55:32  aredridel
- 0.22.0

Revision 1.28  2008-03-06 07:30:38  aredridel
- 0.21.91

Revision 1.27  2008-02-25 22:55:13  czarny
- BR: esound-devel

Revision 1.26  2008-02-10 02:33:54  aredridel
- 0.21.90

Revision 1.25  2008-01-17 04:27:17  aredridel
- 0.21.5.2

Revision 1.24  2008-01-14 16:54:54  patrys
- 0.21.5

Revision 1.23  2007-12-20 03:08:39  patrys
- 0.21.4

Revision 1.22  2007-12-17 01:40:19  aredridel
- 0.21.3

Revision 1.21  2007-11-25 00:11:30  megabajt
- added apidocs subpackage
- release 2

Revision 1.20  2007-11-14 14:35:50  megabajt
- updated to 0.21.2
- use better way to fix locale name

Revision 1.19  2007-11-04 17:06:10  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.18  2007/10/29 09:50:49  megabajt
- updated to 0.21.1

Revision 1.17  2007/10/01 15:24:37  patrys
- 0.14

Revision 1.16  2007/09/28 15:20:15  patrys
- 0.13

Revision 1.15  2007/08/26 00:17:27  qboosh
- pl for python-
- python- R: -libs

Revision 1.14  2007/08/25 23:11:01  aredridel
- BR: python-devel

Revision 1.13  2007/08/25 23:09:58  aredridel
- 0.12

Revision 1.12  2007/08/13 14:18:07  patrys
- 0.11

Revision 1.11  2007/08/04 21:54:25  qboosh
- unified

Revision 1.10  2007/07/30 11:44:22  patrys
- drop update desktop datbase, unneeded and causes bad macro expansion

Revision 1.9  2007/07/30 11:33:54  patrys
- ldconfig in post

Revision 1.8  2007/07/30 11:32:58  patrys
- update desktop database

Revision 1.7  2007/07/30 11:30:49  patrys
- 0.10

Revision 1.6  2007/06/21 21:49:54  megabajt
- updated to 0.8

Revision 1.5  2007/06/17 21:01:27  megabajt
- Suggests appropriate telepathy managers

Revision 1.4  2007/06/10 17:14:48  megabajt
- updated to 0.7
- revised deps

Revision 1.3  2007/06/10 14:19:32  megabajt
- missing BR: telepathy-mission-control-devel

Revision 1.2  2007/06/02 19:55:52  qboosh
- pl

Revision 1.1  2007/05/31 22:44:19  aredridel
- added
